Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226197 - Merge Review: nfs-utils-lib
Summary: Merge Review: nfs-utils-lib
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 483464
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:16 UTC by Nobody's working on this, feel free to take it
Modified: 2013-06-15 04:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-15 04:41:50 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:16:27 UTC
Fedora Merge Review: nfs-utils-lib

http://cvs.fedora.redhat.com/viewcvs/devel/nfs-utils-lib/
Initial Owner: steved@redhat.com

Comment 1 Michael Schwendt 2009-04-01 08:33:46 UTC
* License:

libnfsidmap is "BSD".

librpcseggss is "BSD" and "Sun RPC", which is a "bad license" according to the Fedora Licensing Guidelines:

http://fedoraproject.org/wiki/Licensing#Bad_Licenses
https://fedoraproject.org/wiki/Licensing/SunRPC


* Static libraries must be moved into a -static subpackage
according to the guidelines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries


> Requires(postun): /sbin/ldconfig
> Requires(pre): /sbin/ldconfig

These are automatically added by rpmbuild, because -p /sbin/ldconfig is specified for the scriptlets.


> Requires: libgssglue, openldap

These ought to be removed in favour of the automatically added SONAME dependencies.

Comment 2 Tom "spot" Callaway 2009-05-20 17:43:21 UTC
The SunRPC licensing is now replaced entirely by the BSD license, with explicit permission from Sun.

Comment 3 Tom "spot" Callaway 2009-06-10 13:36:17 UTC
Reopening. No one did a review here!

Comment 4 Steve Dickson 2009-06-10 13:46:18 UTC
oops... sorry about that... I though this was about the licensing problems...

Comment 5 Michael Schwendt 2009-06-10 14:03:57 UTC
Well, there are some good review findings in the bottom half of comment 1. To add to that, the "Requires(pre): /sbin/ldconfig" is completely superfluous because the packages doesn't contain a pre scriptlet at all.

Comment 6 Jason Tibbitts 2013-06-15 04:41:50 UTC
This package has been dead for some time now, replaced by libnfsidmap, but it was never blocked or marked as a dead package.  In any case, there's no point in having this ticket open.


Note You need to log in before you can comment on or make changes to this bug.